Debian Bug report logs - #618023
dash/experimental: exec function broken

version graph

Package: dash; Maintainer for dash is Gerrit Pape <pape@smarden.org>; Source for dash is src:dash.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Sun, 13 Mar 2011 14:45:01 UTC

Severity: grave

Tags: experimental, patch, upstream

Found in version dash/0.5.6.1-1~exp1

Fixed in version dash/0.5.6.1-1~exp2

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.comp.shells.dash/542

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Sun, 13 Mar 2011 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 13 Mar 2011 14:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dash/experimental: exec function broken
Date: Sun, 13 Mar 2011 15:41:03 +0100
Package: dash
Version: 0.5.6.1-1~exp1
Severity: grave
Tags: experimental
Justification: renders package unusable

dash from experimental fails to build some configure scripts. The exec
function does not always work correctly. This has been seen on multiple
architectures, see below for a few failing build logs.

  https://buildd.debian.org/fetch.cgi?pkg=tracker&arch=amd64&ver=0.10.3-1&stamp=1299968124&file=log&as=raw
  https://buildd.debian.org/fetch.cgi?pkg=ipsec-tools&arch=amd64&ver=1%3A0.7.3-18&stamp=1299834814&file=log&as=raw
  https://buildd.debian.org/fetch.cgi?pkg=ipsec-tools&arch=kfreebsd-i386&ver=1%3A0.7.3-18&stamp=1299959787&file=log&as=raw
  https://buildd.debian.org/fetch.cgi?pkg=nss-pam-ldapd&arch=amd64&ver=0.8.1&stamp=1299803586&file=log&as=raw
  https://buildd.debian.org/fetch.cgi?pkg=gjs&arch=kfreebsd-i386&ver=0.7.13-1&stamp=1299960136&file=log&as=raw
  https://buildd.debian.org/fetch.cgi?pkg=exo&arch=kfreebsd-i386&ver=0.6.0-2&stamp=1299960413&file=log&as=raw

And plenty others.

Trying to debug the issue, the arguments passed to execve are wrong.
Here are for example the strace output of the ipsec-tools configure
script on amd64:

| close(3)                                = 0
| execve("/usr/local/bin/", ["", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ...], [/* 29 vars */]) = -1 EACCES (Permission denied)
| execve("/usr/bin/", ["", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ...], [/* 29 vars */]) = -1 EACCES (Permission denied)
| execve("/bin/", ["", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ...], [/* 29 vars */]) = -1 EACCES (Permission denied)
| execve("/usr/games/", ["", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ...], [/* 29 vars */]) = -1 EACCES (Permission denied)
| write(2, "exec: 2361: ", 12exec: 2361: )            = 12
| write(2, ": Permission denied", 19: Permission denied)    
 
and on kfreebsd-amd64:

|  57145 dash     CALL  close(0x3)
|  57145 dash     RET   close 0
|  57145 dash     CALL  execve(0x806bf64,0x806ba64,0x806bef4)
|  57145 dash     NAMI  "/usr/local/bincd$e,f4g<hDnLoTpu"
|  57145 dash     RET   execve -1 errno 2 No such file or directory
|  57145 dash     CALL  execve(0x806bf64,0x806ba64,0x806bef4)
|  57145 dash     NAMI  "/usr/bincd$e,f4g<hDnLoTpu"
|  57145 dash     RET   execve -1 errno 2 No such file or directory
|  57145 dash     CALL  execve(0x806bf64,0x806ba64,0x806bef4)
|  57145 dash     NAMI  "/bincd$e,f4g<hDnLoTpu"
|  57145 dash     RET   execve -1 errno 2 No such file or directory
|  57145 dash     CALL  execve(0x806bf64,0x806ba64,0x806bef4)
|  57145 dash     NAMI  "/usr/gamescd$e,f4g<hDnLoTpu"
|  57145 dash     RET   execve -1 errno 2 No such file or directory
|  57145 dash     CALL  write(0x2,0x80747c4,0xc)
|  57145 dash     GIO   fd 2 wrote 12 bytes
|        "exec: 2361: "
|  57145 dash     RET   write 12/0xc
|  57145 dash     CALL  write(0x2,0x80747c4,0x5d)
|  57145 dash     GIO   fd 2 wrote 93 bytes
| 

-- System Information:
Debian Release: wheezy/sid

  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dash depends on:
ii  debianutils                   3.4.3      Miscellaneous utilities specific t
ii  dpkg                          1.15.8.10  Debian package management system
ii  libc6                         2.13-0exp3 Embedded GNU C Library: Shared lib

dash recommends no packages.

dash suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Sun, 13 Mar 2011 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 13 Mar 2011 18:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 618023@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurel32@debian.org>
Cc: 618023@bugs.debian.org
Subject: Re: dash/experimental: exec function broken
Date: Sun, 13 Mar 2011 13:54:16 -0500
tags 618023 + upstream patch
forwarded 618023 http://thread.gmane.org/gmane.comp.shells.dash/542
quit

Hi,

Aurelien Jarno wrote:

> dash from experimental fails to build some configure scripts.

Thanks!  Forwarded upstream.




Added tag(s) upstream and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 13 Mar 2011 18:57:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.comp.shells.dash/542'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 13 Mar 2011 18:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Mon, 14 Mar 2011 06:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 14 Mar 2011 06:42:08 GMT) Full text and rfc822 format available.

Message #19 received at 618023@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 618023@bugs.debian.org
Subject: Re: dash/experimental: exec function broken
Date: Mon, 14 Mar 2011 01:39:02 -0500
tags 618023 - experimental
quit

Aurelien Jarno wrote:

> dash from experimental fails to build some configure scripts.

FWIW the following changes are available at:
 git://repo.or.cz/dash/debian/jrn.git proposed-updates
(commit 4357718c, with candidate+patches at commit 62e16f1e).

These are the latest patches from 'master' plus the fix for this bug
from <http://thread.gmane.org/gmane.comp.shells.dash/542>.  The
resulting package should be suitable for upload to experimental.
Maybe it can be useful.

Thanks again.
Jonathan Nieder (3):
      debian/diff: sync with upstream
      debian/diff: fix an IFS leak
      debian: prepare for upload

 debian/changelog                                   |   16 ++
 ...ce-GPL-noclobberopen-code-with-the-FreeBSD.diff |  144 ++++++++++++++++
 ...Do-not-split-the-result-of-tilde-expansion.diff |   62 +++++++
 ...TIN-Fix-corruption-of-reads-with-byte-0x81.diff |   48 ------
 debian/diff/0036-SHELL-Port-to-AIX.diff            |   69 ++++++++
 ...37-BUILTIN-Fix-CTLESC-clobbering-by-read-1.diff |   51 ++++++
 .../diff/0037-EVAL-Make-.-dev-null-return-0.diff   |   98 -----------
 ...cmd-should-exit-with-zero-when-doing-nothi.diff |   92 ++++++++++
 ...9-BUILTIN-Fix-backslash-handling-in-read-1.diff |  177 ++++++++++++++++++++
 ...-n-upon-EOF-CTRL-D-when-run-interactively.diff} |    6 +-
 ...e-backslash-before-in-double-quotes-in-va.diff} |    2 +-
 ...ee-IFS-state-after-here-document-expansion.diff |   46 +++++
 12 files changed, 661 insertions(+), 150 deletions(-)




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Wed, 23 Mar 2011 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 23 Mar 2011 05:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 618023@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 618023@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: Will we see an upload soon?
Date: Wed, 23 Mar 2011 10:47:12 +0530
[Message part 1 (text/plain, inline)]
Dear dash maintainers,

I’m about to upload a new version of ghc to experimental, which FTBFS
with dash in experimental. I added a Build-Conflicts on dash
=0.5.6.1-1~exp1, so hopefully the buildds will pick up dash from
unstable, but I’m not too confident that this will happen.

Are we likely seeing an upload fixing #618023 soon?

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Wed, 23 Mar 2011 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 23 Mar 2011 21:03:06 GMT) Full text and rfc822 format available.

Message #29 received at 618023@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 618023@bugs.debian.org
Cc: Joachim Breitner <nomeata@debian.org>, debian-haskell@lists.debian.org
Subject: Re: Will we see a dash upload soon?
Date: Wed, 23 Mar 2011 15:58:06 -0500
Hi,

Joachim Breitner wrote:

> I’m about to upload a new version of ghc to experimental, which FTBFS
> with dash in experimental. I added a Build-Conflicts on dash
> =0.5.6.1-1~exp1, so hopefully the buildds will pick up dash from
> unstable, but I’m not too confident that this will happen.

Hmm, an interesting side-effect to the behavior described in
Bug#216768.

> Are we likely seeing an upload fixing #618023 soon?

Gerrit, the following changes are available from

  git://repo.or.cz/dash/debian/jrn.git proposed-updates

(commit 08ad97a7, patched upstream source in branch candidate+patches,
commit a888a8c).  The main change since the last time I wrote is to
run autoreconf at build time, so it actually will build. :)  This
involves a build-time dependency on automake, but I think it's worth
it.  Alternatively, I'd be happy to prepare a minimal upload that just
fixes the IFS leak without taking the rest of the patches from
upstream.

You can find a package for testing at

 http://mentors.debian.net/debian/pool/main/d/dash/dash_0.5.6.1-1~exp2.dsc

Thoughts welcome, as always.

Jonathan Nieder (5):
      debian/diff: sync with upstream
      debian/diff: fix an IFS leak
      debian: prepare for upload
      debian/diff: sync with upstream
      debian: run autotools at build time

 Makefile.in                                        |  580 --
 aclocal.m4                                         |  850 ---
 config.h.in                                        |  132 -
 configure                                          | 6432 --------------------
 debian/changelog                                   |   19 +
 debian/control                                     |    3 +-
 ...ce-GPL-noclobberopen-code-with-the-FreeBSD.diff |  144 +
 ...Do-not-split-the-result-of-tilde-expansion.diff |   62 +
 ...TIN-Fix-corruption-of-reads-with-byte-0x81.diff |   48 -
 debian/diff/0036-SHELL-Port-to-AIX.diff            |   69 +
 ...37-BUILTIN-Fix-CTLESC-clobbering-by-read-1.diff |   51 +
 .../diff/0037-EVAL-Make-.-dev-null-return-0.diff   |   98 -
 ...cmd-should-exit-with-zero-when-doing-nothi.diff |   92 +
 ...9-BUILTIN-Fix-backslash-handling-in-read-1.diff |  177 +
 debian/diff/0040-SHELL-Port-to-Solaris.diff        |  429 ++
 ...ncnode-refer-to-a-function-definition-not-.diff |   95 +
 debian/diff/0042-SHELL-Improve-LINENO-support.diff |  611 ++
 ...ee-IFS-state-after-here-document-expansion.diff |   81 +
 ...4-DEBUG-Use-va_copy-when-reusing-a-va_list.diff |   59 +
 .../0045-PARSER-Fix-clobbering-of-checkkwd.diff    |   91 +
 ...-n-upon-EOF-CTRL-D-when-run-interactively.diff} |    6 +-
 ...e-backslash-before-in-double-quotes-in-va.diff} |    6 +-
 debian/rules                                       |    5 +-
 depcomp                                            |  530 --
 install-sh                                         |  323 -
 missing                                            |  360 --
 src/Makefile.in                                    |  596 --
 27 files changed, 1992 insertions(+), 9957 deletions(-)
 delete mode 100644 Makefile.in
 delete mode 100644 aclocal.m4
 delete mode 100644 config.h.in
 delete mode 100755 configure
 create mode 100644 debian/diff/0034-REDIR-Replace-GPL-noclobberopen-code-with-the-FreeBSD.diff
 create mode 100644 debian/diff/0035-EXPAND-Do-not-split-the-result-of-tilde-expansion.diff
 delete mode 100644 debian/diff/0036-BUILTIN-Fix-corruption-of-reads-with-byte-0x81.diff
 create mode 100644 debian/diff/0036-SHELL-Port-to-AIX.diff
 create mode 100644 debian/diff/0037-BUILTIN-Fix-CTLESC-clobbering-by-read-1.diff
 delete mode 100644 debian/diff/0037-EVAL-Make-.-dev-null-return-0.diff
 create mode 100644 debian/diff/0038-BUILTIN-Dotcmd-should-exit-with-zero-when-doing-nothi.diff
 create mode 100644 debian/diff/0039-BUILTIN-Fix-backslash-handling-in-read-1.diff
 create mode 100644 debian/diff/0040-SHELL-Port-to-Solaris.diff
 create mode 100644 debian/diff/0041-EVAL-Let-funcnode-refer-to-a-function-definition-not-.diff
 create mode 100644 debian/diff/0042-SHELL-Improve-LINENO-support.diff
 create mode 100644 debian/diff/0043-EXPAND-Free-IFS-state-after-here-document-expansion.diff
 create mode 100644 debian/diff/0044-DEBUG-Use-va_copy-when-reusing-a-va_list.diff
 create mode 100644 debian/diff/0045-PARSER-Fix-clobbering-of-checkkwd.diff
 rename debian/diff/{0034-SHELL-print-n-upon-EOF-CTRL-D-when-run-interactively.diff => 0046-SHELL-print-n-upon-EOF-CTRL-D-when-run-interactively.diff} (85%)
 rename debian/diff/{0035-PARSER-Remove-backslash-before-in-double-quotes-in-va.diff => 0047-PARSER-Remove-backslash-before-in-double-quotes-in-va.diff} (84%)
 delete mode 100755 depcomp
 delete mode 100755 install-sh
 delete mode 100755 missing
 delete mode 100644 src/Makefile.in




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Wed, 23 Mar 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 23 Mar 2011 21:57:03 GMT) Full text and rfc822 format available.

Message #34 received at 618023@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 618023@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: Re: Bug#618023: Will we see an upload soon?
Date: Wed, 23 Mar 2011 22:56:14 +0100
On Wed, Mar 23, 2011 at 10:47:12 +0530, Joachim Breitner wrote:

> Dear dash maintainers,
> 
> I’m about to upload a new version of ghc to experimental, which FTBFS
> with dash in experimental. I added a Build-Conflicts on dash
> =0.5.6.1-1~exp1, so hopefully the buildds will pick up dash from
> unstable, but I’m not too confident that this will happen.
> 
You shouldn't do this.  Build-Conflicts get packages removed, not
up/down-graded.  You don't want dash removed from the build chroot.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Thu, 24 Mar 2011 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 24 Mar 2011 08:24:03 GMT) Full text and rfc822 format available.

Message #39 received at 618023@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 618023@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#618023: Will we see an upload soon?
Date: Thu, 24 Mar 2011 13:51:05 +0530
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 23.03.2011, 22:56 +0100 schrieb Julien Cristau:
> On Wed, Mar 23, 2011 at 10:47:12 +0530, Joachim Breitner wrote:
> 
> > Dear dash maintainers,
> > I’m about to upload a new version of ghc to experimental, which FTBFS
> > with dash in experimental. I added a Build-Conflicts on dash
> > =0.5.6.1-1~exp1, so hopefully the buildds will pick up dash from
> > unstable, but I’m not too confident that this will happen.
> > 
> You shouldn't do this.  Build-Conflicts get packages removed, not
> up/down-graded.  You don't want dash removed from the build chroot.

I was hoping that this would prevent the package from being scheduled by
wanna-build (BD-Uninstallable)...

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Thu, 24 Mar 2011 16:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>, 618023@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 24 Mar 2011 16:27:10 GMT) Full text and rfc822 format available.

Message #44 received at 618023@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 618023@bugs.debian.org
Subject: Re: Bug#618023: Will we see a dash upload soon?
Date: Thu, 24 Mar 2011 14:36:07 +0000
On Wed, Mar 23, 2011 at 03:58:06PM -0500, Jonathan Nieder wrote:
> Gerrit, the following changes are available from
> 
>   git://repo.or.cz/dash/debian/jrn.git proposed-updates
> 
> (commit 08ad97a7, patched upstream source in branch candidate+patches,
> commit a888a8c).  The main change since the last time I wrote is to
> run autoreconf at build time, so it actually will build. :)  This
> involves a build-time dependency on automake, but I think it's worth
> it.  Alternatively, I'd be happy to prepare a minimal upload that just
> fixes the IFS leak without taking the rest of the patches from
> upstream.

Hi Jonathan, I'd prefer to not add this build dependency.

I learned in the past that using the auto* tools create more work than
gain in the long run.  At some time they get updated again and force the
maintainer to adapt, or something goes wrong with the build.  I try to
avoid these tools whereever possible, and I don't think the dash package
needs them.  Instead I suggest to patch ./configure if necessary.

Thanks, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Thu, 24 Mar 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 24 Mar 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #49 received at 618023@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 618023@bugs.debian.org
Subject: Re: Will we see a dash upload soon?
Date: Thu, 24 Mar 2011 17:36:18 -0500
Hi Gerrit,

Gerrit Pape wrote:

> I learned in the past that using the auto* tools create more work than
> gain in the long run.  At some time they get updated again and force the
> maintainer to adapt, or something goes wrong with the build.

Autotools upstream has become much better about this lately, but I
understand.

> I try to
> avoid these tools whereever possible, and I don't think the dash package
> needs them.

Yes, a nice long-term idea might be to use a trick from git:

 * configure script generates Makefile snippet
 * Makefile uses the "include" feature to include that Makefile
   snippet

so use of autotools could be optional.  POSIX "make" requires the
"include" feature nowadays, and I think it's fairly portable.  I'll
think about this.

> Instead I suggest to patch ./configure if necessary.

In this case let's just drop the unnecessary patch ([SHELL] Port to
Solaris, 2011-03-15).  The result is at

 git://repo.or.cz/dash/debian/jrn.git proposed-updates

(commit e5ee7764, candidate+patches at commit 5ee25045) and seems to
work well.

Thanks.
Jonathan




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 25 Mar 2011 13:57:19 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Fri, 25 Mar 2011 13:57:19 GMT) Full text and rfc822 format available.

Message #54 received at 618023-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 618023-close@bugs.debian.org
Subject: Bug#618023: fixed in dash 0.5.6.1-1~exp2
Date: Fri, 25 Mar 2011 13:56:11 +0000
Source: dash
Source-Version: 0.5.6.1-1~exp2

We believe that the bug you reported is fixed in the latest version of
dash, which is due to be installed in the Debian FTP archive:

ash_0.5.6.1-1~exp2_all.deb
  to main/d/dash/ash_0.5.6.1-1~exp2_all.deb
dash_0.5.6.1-1~exp2.diff.gz
  to main/d/dash/dash_0.5.6.1-1~exp2.diff.gz
dash_0.5.6.1-1~exp2.dsc
  to main/d/dash/dash_0.5.6.1-1~exp2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618023@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated dash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Mar 2011 17:24:05 -0500
Source: dash
Binary: dash ash
Architecture: all source
Version: 0.5.6.1-1~exp2
Distribution: experimental
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 ash        - compatibility package for dash
 dash       - POSIX-compliant shell
Closes: 618023
Changes: 
 dash (0.5.6.1-1~exp2) experimental; urgency=low
 .
   * debian/diff/:
     - 0036-BUILTIN-Fix-corruption-of-reads...diff: remove; fixed
       upstream.
     - 0037-EVAL-Make-.-dev-null-return-.diff: remove; applied
       upstream.
     - 0034-SHELL-print-n-upon...diff: rename to 0045-*.
     - 0035-PARSER-Remove-backslash...diff: rename to 0046-*.
     - 0034...0044: new from the upstream "master" branch.
     - 0042-EXPAND-Free-IFS-state...diff: new from upstream:
       do not let parameter expansion in here documents corrupt word
       splitting state (thx Aurelien Jarno; closes: #618023).
Checksums-Sha1: 
 62a4b1f0ffa881fc531b6cf63b6394f5fbdfea03 1047 dash_0.5.6.1-1~exp2.dsc
 4048730a58fc18c6e465ff5f9c90fa03da30ca30 74652 dash_0.5.6.1-1~exp2.diff.gz
 bfbc04b83136016b60379ba4a0f655772f98143f 28108 ash_0.5.6.1-1~exp2_all.deb
Checksums-Sha256: 
 5870f99e7e9e9d6095621d15e300f47fa79f6d380d8b583383c2d8c5dafe0d4d 1047 dash_0.5.6.1-1~exp2.dsc
 fdde3ae8e5697fda266473eb3af738fc97db83e3d0dff217d8a4d2af124e6d07 74652 dash_0.5.6.1-1~exp2.diff.gz
 f17270d9c630d1bd27766b962d22ee8eddf0583903c339881fbf9a4e9d9b725f 28108 ash_0.5.6.1-1~exp2_all.deb
Files: 
 ca565199217e2782130102c531cd2f8c 1047 shells optional dash_0.5.6.1-1~exp2.dsc
 ca81ac69fc4aaddafe15364d6ab6ea4b 74652 shells optional dash_0.5.6.1-1~exp2.diff.gz
 f460051499e914cf4d395aa6818412a1 28108 shells optional ash_0.5.6.1-1~exp2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2MWI8ACgkQGJoyQbxwpv8sbgCfaNyV85ZCVrD8wUjmD2clpXBd
cPAAn0BggDLa2mewmuA5/G9h4FCY/93O
=oVF9
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Fri, 25 Mar 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 618023@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 25 Mar 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #59 received at 618023@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 618023@bugs.debian.org
Subject: Re: Bug#618023: Will we see a dash upload soon?
Date: Fri, 25 Mar 2011 14:00:02 +0000
On Thu, Mar 24, 2011 at 05:36:18PM -0500, Jonathan Nieder wrote:
> In this case let's just drop the unnecessary patch ([SHELL] Port to
> Solaris, 2011-03-15).  The result is at
> 
>  git://repo.or.cz/dash/debian/jrn.git proposed-updates
> 
> (commit e5ee7764, candidate+patches at commit 5ee25045) and seems to
> work well.

Hi Jonathan, I have four commits in my candidate branch that are not in
your candidate+patches branch.  I'm not sure why, can you clear this up?

Thanks, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#618023; Package dash. (Fri, 25 Mar 2011 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 25 Mar 2011 19:36:03 GMT) Full text and rfc822 format available.

Message #64 received at 618023@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 618023@bugs.debian.org
Subject: Re: Will we see a dash upload soon?
Date: Fri, 25 Mar 2011 14:32:47 -0500
Gerrit Pape wrote:

> Hi Jonathan, I have four commits in my candidate branch that are not in
> your candidate+patches branch.  I'm not sure why, can you clear this up?

$ git log v0.5.6.1..gerrit/candidate --first-parent --graph --oneline
* 8fc084b import contents of upstream dash-0.5.6.1.tar.gz archive
* b6a8768 Merge commit 'v0.5.6.1' into candidate
* cf3f216 Merge commit '6045fe25078345074f027312d106d3fc19df56e5' into release
* 2c351f8 import contents of upstream dash-0.5.5.1.tar.gz archive.
* 35215ea Merge commit 'v0.5.4' into upstream
* 40bef02 import contents of upstream dash-0.5.4.tar.gz archive.
* 5e041bb import contents of upstream dash-0.5.3.tar.gz archive.

Good catch.  Rebased on top of your version.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Apr 2011 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:59:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.